<?php

$prime_spa_center_custom_css = "";

$prime_spa_center_primary_color = get_theme_mod('prime_spa_center_primary_color');

/*------------------ Primary Global Color -----------*/

if ($prime_spa_center_primary_color) {
  $prime_spa_center_custom_css .= ':root {';
  $prime_spa_center_custom_css .= '--primary-color: ' . esc_attr($prime_spa_center_primary_color) . ' !important;';
  $prime_spa_center_custom_css .= '} ';
}

/*-------------------- Container Width-------------------*/

$prime_spa_center_theme_width = get_theme_mod( 'prime_spa_center_theme_width','full-width');

if($prime_spa_center_theme_width == 'full-width'){
$prime_spa_center_custom_css .='body{';
	$prime_spa_center_custom_css .='max-width: 100% !important;';
$prime_spa_center_custom_css .='}';
}else if($prime_spa_center_theme_width == 'container'){
$prime_spa_center_custom_css .='body{';
	$prime_spa_center_custom_css .='width: 80% !important; padding-right: 15px; padding-left: 15px;  margin-right: auto !important; margin-left: auto !important;';
$prime_spa_center_custom_css .='}';
}else if($prime_spa_center_theme_width == 'container-fluid'){
$prime_spa_center_custom_css .='body{';
	$prime_spa_center_custom_css .='width: 95% !important;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
$prime_spa_center_custom_css .='}';
}

/*-------------------- Single Post Alignment-------------------*/

$prime_spa_center_single_post_align = get_theme_mod( 'prime_spa_center_single_post_align','left-align');

if($prime_spa_center_single_post_align == 'left-align'){
$prime_spa_center_custom_css .='#featured-posts .entry-container{';
	$prime_spa_center_custom_css .='text-align: left';
$prime_spa_center_custom_css .='}';
}else if($prime_spa_center_single_post_align == 'right-align'){
$prime_spa_center_custom_css .='#featured-posts .entry-container{';
	$prime_spa_center_custom_css .='text-align: right';
$prime_spa_center_custom_css .='}';
}else if($prime_spa_center_single_post_align == 'center-align'){
$prime_spa_center_custom_css .='#featured-posts .entry-container{';
	$prime_spa_center_custom_css .='text-align: center';
$prime_spa_center_custom_css .='}';
}

/*-------------------- Scroll Top Alignment-------------------*/

$prime_spa_center_scroll_top_alignment = get_theme_mod( 'prime_spa_center_scroll_top_alignment','right-align');

if($prime_spa_center_scroll_top_alignment == 'right-align'){
$prime_spa_center_custom_css .='#button{';
	$prime_spa_center_custom_css .='right: 5%;';
$prime_spa_center_custom_css .='}';
}else if($prime_spa_center_scroll_top_alignment == 'center-align'){
$prime_spa_center_custom_css .='#button{';
	$prime_spa_center_custom_css .='right:0; left:0; margin: 0 auto;';
$prime_spa_center_custom_css .='}';
}else if($prime_spa_center_scroll_top_alignment == 'left-align'){
$prime_spa_center_custom_css .='#button{';
	$prime_spa_center_custom_css .='left: 5%;';
$prime_spa_center_custom_css .='}';
}

/*-------------------- Archive Page Pagination Alignment-------------------*/

$prime_spa_center_archive_pagination_alignment = get_theme_mod( 'prime_spa_center_archive_pagination_alignment','left-align');

if($prime_spa_center_archive_pagination_alignment == 'right-align'){
$prime_spa_center_custom_css .='nav.navigation.pagination{';
	$prime_spa_center_custom_css .='text-align: right;';
$prime_spa_center_custom_css .='}';
}else if($prime_spa_center_archive_pagination_alignment == 'center-align'){
$prime_spa_center_custom_css .='nav.navigation.pagination{';
	$prime_spa_center_custom_css .='text-align: center;';
$prime_spa_center_custom_css .='}';
}else if($prime_spa_center_archive_pagination_alignment == 'left-align'){
$prime_spa_center_custom_css .='nav.navigation.pagination{';
	$prime_spa_center_custom_css .='text-align: left;';
$prime_spa_center_custom_css .='}';
}

// Scroll to top button shape 

$prime_spa_center_scroll_border_radius = get_theme_mod( 'prime_spa_center_scroll_to_top_radius','curved-box');
if($prime_spa_center_scroll_border_radius == 'box'){
	$prime_spa_center_custom_css .='#button{';
		$prime_spa_center_custom_css .='border-radius: 0px;';
	$prime_spa_center_custom_css .='}';
}else if($prime_spa_center_scroll_border_radius == 'curved-box'){
	$prime_spa_center_custom_css .='#button{';
		$prime_spa_center_custom_css .='border-radius: 4px;';
	$prime_spa_center_custom_css .='}';
}
else if($prime_spa_center_scroll_border_radius == 'circle'){
	$prime_spa_center_custom_css .='#button{';
		$prime_spa_center_custom_css .='border-radius: 50%;';
	$prime_spa_center_custom_css .='}';
}

// Footer Background Image Attatchment 

$prime_spa_center_footer_attatchment = get_theme_mod( 'prime_spa_center_background_attatchment','scroll');
if($prime_spa_center_footer_attatchment == 'fixed'){
	$prime_spa_center_custom_css .='.footer-widgets-area{';
		$prime_spa_center_custom_css .='background-attachment: fixed;';
	$prime_spa_center_custom_css .='}';
}elseif ($prime_spa_center_footer_attatchment == 'scroll'){
	$prime_spa_center_custom_css .='.footer-widgets-area{';
		$prime_spa_center_custom_css .='background-attachment: scroll;';
	$prime_spa_center_custom_css .='}';
}

// Menu Hover Style	

$prime_spa_center_menus_item = get_theme_mod( 'prime_spa_center_menus_style','None');
if($prime_spa_center_menus_item == 'None'){
	$prime_spa_center_custom_css .='#site-navigation .nav-menu ul li a:hover, .main-navigation .nav-menu li a:hover{';
		$prime_spa_center_custom_css .='';
	$prime_spa_center_custom_css .='}';
}else if($prime_spa_center_menus_item == 'Zoom In'){
	$prime_spa_center_custom_css .='#site-navigation .nav-menu ul li a:hover, .main-navigation .nav-menu li a:hover{';
		$prime_spa_center_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important;';
	$prime_spa_center_custom_css .='}';
}	
